# Form

List and retrieve forms (questionnaires) configured for a practice group.

 - [GET /v1/forms](https://developer.herohealth.net/apis/public-api/openapi/form/listforms.md): Retrieves a list of all forms configured for the requesting practice group.
 - [POST /v1/forms](https://developer.herohealth.net/apis/public-api/openapi/form/createform.md): Create a new form template with fields.
 - [PUT /v1/forms/{id}](https://developer.herohealth.net/apis/public-api/openapi/form/updateform.md): Update an existing form template, replacing all fields.
 - [GET /v1/forms/{id}](https://developer.herohealth.net/apis/public-api/openapi/form/getform.md): Get a form and its fields.
 - [POST /v1/forms/{id}/response](https://developer.herohealth.net/apis/public-api/openapi/form/createresponse.md): Create a response for a given Form ID.
 - [POST /v1/forms/response/{id}](https://developer.herohealth.net/apis/public-api/openapi/form/updateformresponse.md): Update form response for a given form response ID.
